Opened 6 years ago

Closed 6 years ago

#47522 closed defect (invalid)

XviD: xvidcore-1.3.3.tar.bz2 does not exist in /opt/local/var/macports/distfiles/XviD

Reported by: herminio.hernandezjr@… Owned by: macports-tickets@…
Priority: Normal Milestone:
Component: ports Version: 2.3.3
Keywords: Cc: ryandesign (Ryan Schmidt)
Port: XviD

Description (last modified by ryandesign (Ryan Schmidt))

I tried to install youtube-dl and it failed due to Xvid not installing

herminiohernandez$ sudo port install youtube-dl mpv xsel
Password:
--->  Computing dependencies for youtube-dl
--->  Dependencies to be installed: ffmpeg XviD lame libass enca libbluray libmodplug libopus libtheora libvpx openjpeg15 jbigkit lcms2 schroedinger orc texi2html x264 yasm
--->  Verifying checksums for XviD
Error: org.macports.checksum for port XviD returned: xvidcore-1.3.3.tar.bz2 does not exist in /opt/local/var/macports/distfiles/XviD
Error: Failed to install XviD
Please see the log file for port XviD for details:
    /opt/local/var/macports/logs/_opt_local_var_macports_sources_rsync.macports.org_release_ports_multimedia_XviD/XviD/main.log
Error: The following dependencies were not installed: ffmpeg XviD lame libass enca libbluray libmodplug libopus libtheora libvpx openjpeg15 jbigkit lcms2 schroedinger orc texi2html x264 yasm
To report a bug, follow the instructions in the guide:
    http://guide.macports.org/#project.tickets
Error: Processing of port youtube-dl failed

Attachments (1)

main.log (1.5 KB) - added by herminio.hernandezjr@… 6 years ago.

Download all attachments as: .zip

Change History (5)

Changed 6 years ago by herminio.hernandezjr@…

Attachment: main.log added

comment:1 Changed 6 years ago by herminio.hernandezjr@…

This error is also preventing mpv from installing as well

comment:2 Changed 6 years ago by ryandesign (Ryan Schmidt)

Description: modified (diff)
Port: XviD added
Summary: youtube-dl failed to install (Xvid dependancy will not install)XviD: xvidcore-1.3.3.tar.bz2 does not exist in /opt/local/var/macports/distfiles/XviD

comment:3 Changed 6 years ago by herminio.hernandezjr@…

it looks like it installed but i still got an error toward the end

Gondolin:~ herminiohernandez$ sudo port clean youtube-dl mpv Xvid
--->  Cleaning youtube-dl
--->  Cleaning mpv
--->  Cleaning XviD
Gondolin:~ herminiohernandez$ sudo port install youtube-dl mpv
--->  Computing dependencies for youtube-dl
--->  Dependencies to be installed: ffmpeg XviD lame libass enca libbluray libmodplug libopus libtheora libvpx openjpeg15 jbigkit lcms2 schroedinger orc texi2html x264 yasm
--->  Fetching archive for XviD
--->  Attempting to fetch XviD-1.3.3_0.darwin_14.x86_64.tbz2 from http://packages.macports.org/XviD
--->  Attempting to fetch XviD-1.3.3_0.darwin_14.x86_64.tbz2.rmd160 from http://packages.macports.org/XviD
--->  Installing XviD @1.3.3_0
--->  Activating XviD @1.3.3_0
--->  Cleaning XviD
--->  Fetching archive for lame
--->  Attempting to fetch lame-3.99.5_0.darwin_14.x86_64.tbz2 from http://packages.macports.org/lame
--->  Attempting to fetch lame-3.99.5_0.darwin_14.x86_64.tbz2.rmd160 from http://packages.macports.org/lame
--->  Installing lame @3.99.5_0
--->  Activating lame @3.99.5_0
--->  Cleaning lame
--->  Fetching archive for enca
--->  Attempting to fetch enca-1.15_0.darwin_14.x86_64.tbz2 from http://packages.macports.org/enca
--->  Attempting to fetch enca-1.15_0.darwin_14.x86_64.tbz2.rmd160 from http://packages.macports.org/enca
--->  Installing enca @1.15_0
--->  Activating enca @1.15_0
--->  Cleaning enca
--->  Fetching archive for libass
--->  Attempting to fetch libass-0.10.2_0.darwin_14.x86_64.tbz2 from http://packages.macports.org/libass
--->  Attempting to fetch libass-0.10.2_0.darwin_14.x86_64.tbz2.rmd160 from http://packages.macports.org/libass
--->  Installing libass @0.10.2_0
--->  Activating libass @0.10.2_0
--->  Cleaning libass
--->  Fetching archive for libbluray
--->  Attempting to fetch libbluray-0.7.0_0.darwin_14.x86_64.tbz2 from http://packages.macports.org/libbluray
--->  Attempting to fetch libbluray-0.7.0_0.darwin_14.x86_64.tbz2.rmd160 from http://packages.macports.org/libbluray
--->  Installing libbluray @0.7.0_0
--->  Activating libbluray @0.7.0_0
--->  Cleaning libbluray
--->  Fetching archive for libmodplug
--->  Attempting to fetch libmodplug-0.8.8.5_0.darwin_14.x86_64.tbz2 from http://packages.macports.org/libmodplug
--->  Attempting to fetch libmodplug-0.8.8.5_0.darwin_14.x86_64.tbz2.rmd160 from http://packages.macports.org/libmodplug
--->  Installing libmodplug @0.8.8.5_0
--->  Activating libmodplug @0.8.8.5_0
--->  Cleaning libmodplug
--->  Fetching archive for libopus
--->  Attempting to fetch libopus-1.1_0.darwin_14.x86_64.tbz2 from http://packages.macports.org/libopus
--->  Attempting to fetch libopus-1.1_0.darwin_14.x86_64.tbz2.rmd160 from http://packages.macports.org/libopus
--->  Installing libopus @1.1_0
--->  Activating libopus @1.1_0
--->  Cleaning libopus
--->  Fetching archive for libtheora
--->  Attempting to fetch libtheora-1.1.1_1.darwin_14.x86_64.tbz2 from http://packages.macports.org/libtheora
--->  Attempting to fetch libtheora-1.1.1_1.darwin_14.x86_64.tbz2.rmd160 from http://packages.macports.org/libtheora
--->  Installing libtheora @1.1.1_1
--->  Activating libtheora @1.1.1_1
--->  Cleaning libtheora
--->  Fetching archive for libvpx
--->  Attempting to fetch libvpx-1.3.0_1.darwin_14.x86_64.tbz2 from http://packages.macports.org/libvpx
--->  Attempting to fetch libvpx-1.3.0_1.darwin_14.x86_64.tbz2.rmd160 from http://packages.macports.org/libvpx
--->  Installing libvpx @1.3.0_1
--->  Activating libvpx @1.3.0_1
--->  Cleaning libvpx
--->  Fetching archive for jbigkit
--->  Attempting to fetch jbigkit-2.1_0.darwin_14.x86_64.tbz2 from http://packages.macports.org/jbigkit
--->  Attempting to fetch jbigkit-2.1_0.darwin_14.x86_64.tbz2.rmd160 from http://packages.macports.org/jbigkit
--->  Installing jbigkit @2.1_0
--->  Activating jbigkit @2.1_0
--->  Cleaning jbigkit
--->  Fetching archive for lcms2
--->  Attempting to fetch lcms2-2.6_0.darwin_14.x86_64.tbz2 from http://packages.macports.org/lcms2
--->  Attempting to fetch lcms2-2.6_0.darwin_14.x86_64.tbz2.rmd160 from http://packages.macports.org/lcms2
--->  Installing lcms2 @2.6_0
--->  Activating lcms2 @2.6_0
--->  Cleaning lcms2
--->  Fetching archive for openjpeg15
--->  Attempting to fetch openjpeg15-1.5.1_0.darwin_14.x86_64.tbz2 from http://packages.macports.org/openjpeg15
--->  Attempting to fetch openjpeg15-1.5.1_0.darwin_14.x86_64.tbz2.rmd160 from http://packages.macports.org/openjpeg15
--->  Installing openjpeg15 @1.5.1_0
--->  Activating openjpeg15 @1.5.1_0
--->  Cleaning openjpeg15
--->  Fetching archive for orc
--->  Attempting to fetch orc-0.4.23_0.darwin_14.x86_64.tbz2 from http://packages.macports.org/orc
--->  Attempting to fetch orc-0.4.23_0.darwin_14.x86_64.tbz2.rmd160 from http://packages.macports.org/orc
--->  Installing orc @0.4.23_0
--->  Activating orc @0.4.23_0
--->  Cleaning orc
--->  Fetching archive for schroedinger
--->  Attempting to fetch schroedinger-1.0.11_0.darwin_14.x86_64.tbz2 from http://packages.macports.org/schroedinger
--->  Attempting to fetch schroedinger-1.0.11_0.darwin_14.x86_64.tbz2.rmd160 from http://packages.macports.org/schroedinger
--->  Installing schroedinger @1.0.11_0
--->  Activating schroedinger @1.0.11_0
--->  Cleaning schroedinger
--->  Fetching archive for texi2html
--->  Attempting to fetch texi2html-5.0_1.darwin_14.noarch.tbz2 from http://packages.macports.org/texi2html
--->  Attempting to fetch texi2html-5.0_1.darwin_14.noarch.tbz2.rmd160 from http://packages.macports.org/texi2html
--->  Installing texi2html @5.0_1
--->  Activating texi2html @5.0_1
--->  Cleaning texi2html
--->  Fetching archive for x264
--->  Attempting to fetch x264-20140124_1.darwin_14.x86_64.tbz2 from http://packages.macports.org/x264
--->  Attempting to fetch x264-20140124_1.darwin_14.x86_64.tbz2.rmd160 from http://packages.macports.org/x264
--->  Installing x264 @20140124_1
--->  Activating x264 @20140124_1
--->  Cleaning x264
--->  Fetching archive for yasm
--->  Attempting to fetch yasm-1.3.0_0.darwin_14.x86_64.tbz2 from http://packages.macports.org/yasm
--->  Attempting to fetch yasm-1.3.0_0.darwin_14.x86_64.tbz2.rmd160 from http://packages.macports.org/yasm
--->  Installing yasm @1.3.0_0
--->  Activating yasm @1.3.0_0
--->  Cleaning yasm
--->  Fetching archive for ffmpeg
--->  Attempting to fetch ffmpeg-2.6.2_0+gpl2+x11.darwin_14.x86_64.tbz2 from http://packages.macports.org/ffmpeg
--->  Attempting to fetch ffmpeg-2.6.2_0+gpl2+x11.darwin_14.x86_64.tbz2 from http://mse.uk.packages.macports.org/sites/packages.macports.org/ffmpeg
--->  Attempting to fetch ffmpeg-2.6.2_0+gpl2+x11.darwin_14.x86_64.tbz2 from http://nue.de.packages.macports.org/macports/packages/ffmpeg
--->  Fetching distfiles for ffmpeg
--->  Attempting to fetch ffmpeg-2.6.2.tar.bz2 from http://ykf.ca.distfiles.macports.org/MacPorts/mpdistfiles/ffmpeg
--->  Attempting to fetch ffmpeg-2.6.2.tar.bz2 from http://distfiles.macports.org/ffmpeg
--->  Verifying checksums for ffmpeg                                            
--->  Extracting ffmpeg
--->  Configuring ffmpeg
--->  Building ffmpeg
--->  Staging ffmpeg into destroot
--->  Installing ffmpeg @2.6.2_0+gpl2+x11
--->  Activating ffmpeg @2.6.2_0+gpl2+x11

*******
******* This build of ffmpeg includes GPLed code and
******* is therefore licensed under GPL v2 or later.
*******
******* The following modules are GPLed:
*******
*******      postproc
*******      libx264
*******      libxvid
*******
******* To include all nonfree, GPLed and LGPL code use variant +nonfree.
******* To remove nonfree and GPLed code leaving only LGPL code remove the
******* +gpl2 variant.
*******

--->  Cleaning ffmpeg
--->  Fetching archive for youtube-dl
--->  Attempting to fetch youtube-dl-2015.04.17_0+ffmpeg+python27.darwin_14.noarch.tbz2 from http://packages.macports.org/youtube-dl
--->  Attempting to fetch youtube-dl-2015.04.17_0+ffmpeg+python27.darwin_14.noarch.tbz2.rmd160 from http://packages.macports.org/youtube-dl
--->  Installing youtube-dl @2015.04.17_0+ffmpeg+python27
--->  Activating youtube-dl @2015.04.17_0+ffmpeg+python27
--->  Cleaning youtube-dl
--->  Computing dependencies for mpv
--->  Dependencies to be installed: libcdio-paranoia libcdio libcddb libdvdnav libdvdread libdvdcss mpg123 py27-docutils py27-roman
--->  Fetching archive for libcddb
--->  Attempting to fetch libcddb-1.3.2_1.darwin_14.x86_64.tbz2 from http://packages.macports.org/libcddb
--->  Attempting to fetch libcddb-1.3.2_1.darwin_14.x86_64.tbz2.rmd160 from http://packages.macports.org/libcddb
--->  Installing libcddb @1.3.2_1
--->  Activating libcddb @1.3.2_1
--->  Cleaning libcddb
--->  Fetching archive for libcdio
--->  Attempting to fetch libcdio-0.93_1.darwin_14.x86_64.tbz2 from http://packages.macports.org/libcdio
--->  Attempting to fetch libcdio-0.93_1.darwin_14.x86_64.tbz2.rmd160 from http://packages.macports.org/libcdio
--->  Installing libcdio @0.93_1
--->  Activating libcdio @0.93_1
--->  Cleaning libcdio
--->  Fetching archive for libcdio-paranoia
--->  Attempting to fetch libcdio-paranoia-10.2+0.93+1_0.darwin_14.x86_64.tbz2 from http://packages.macports.org/libcdio-paranoia
--->  Attempting to fetch libcdio-paranoia-10.2+0.93+1_0.darwin_14.x86_64.tbz2.rmd160 from http://packages.macports.org/libcdio-paranoia
--->  Installing libcdio-paranoia @10.2+0.93+1_0
--->  Activating libcdio-paranoia @10.2+0.93+1_0
--->  Cleaning libcdio-paranoia
--->  Fetching archive for libdvdcss
--->  Attempting to fetch libdvdcss-1.3.0_0.darwin_14.x86_64.tbz2 from http://packages.macports.org/libdvdcss
--->  Attempting to fetch libdvdcss-1.3.0_0.darwin_14.x86_64.tbz2.rmd160 from http://packages.macports.org/libdvdcss
--->  Installing libdvdcss @1.3.0_0
--->  Activating libdvdcss @1.3.0_0
--->  Cleaning libdvdcss
--->  Fetching archive for libdvdread
--->  Attempting to fetch libdvdread-5.0.0_0.darwin_14.x86_64.tbz2 from http://packages.macports.org/libdvdread
--->  Attempting to fetch libdvdread-5.0.0_0.darwin_14.x86_64.tbz2.rmd160 from http://packages.macports.org/libdvdread
--->  Installing libdvdread @5.0.0_0
--->  Activating libdvdread @5.0.0_0
--->  Cleaning libdvdread
--->  Fetching archive for libdvdnav
--->  Attempting to fetch libdvdnav-5.0.1_0.darwin_14.x86_64.tbz2 from http://packages.macports.org/libdvdnav
--->  Attempting to fetch libdvdnav-5.0.1_0.darwin_14.x86_64.tbz2.rmd160 from http://packages.macports.org/libdvdnav
--->  Installing libdvdnav @5.0.1_0
--->  Activating libdvdnav @5.0.1_0
--->  Cleaning libdvdnav
--->  Fetching archive for mpg123
--->  Attempting to fetch mpg123-1.21.0_0.darwin_14.x86_64.tbz2 from http://packages.macports.org/mpg123
--->  Attempting to fetch mpg123-1.21.0_0.darwin_14.x86_64.tbz2.rmd160 from http://packages.macports.org/mpg123
--->  Installing mpg123 @1.21.0_0
--->  Activating mpg123 @1.21.0_0
--->  Cleaning mpg123
--->  Fetching archive for py27-roman
--->  Attempting to fetch py27-roman-2.0.0_0.darwin_14.noarch.tbz2 from http://packages.macports.org/py27-roman
--->  Attempting to fetch py27-roman-2.0.0_0.darwin_14.noarch.tbz2.rmd160 from http://packages.macports.org/py27-roman
--->  Installing py27-roman @2.0.0_0
--->  Activating py27-roman @2.0.0_0
--->  Cleaning py27-roman
--->  Fetching archive for py27-docutils
--->  Attempting to fetch py27-docutils-0.12_0.darwin_14.noarch.tbz2 from http://packages.macports.org/py27-docutils
--->  Attempting to fetch py27-docutils-0.12_0.darwin_14.noarch.tbz2 from http://mse.uk.packages.macports.org/sites/packages.macports.org/py27-docutils
--->  Attempting to fetch py27-docutils-0.12_0.darwin_14.noarch.tbz2 from http://nue.de.packages.macports.org/macports/packages/py27-docutils
--->  Fetching distfiles for py27-docutils
--->  Attempting to fetch docutils-0.12.tar.gz from http://softlayer-dal.dl.sourceforge.net/project/docutils/docutils/0.12/
--->  Verifying checksums for py27-docutils                                     
--->  Extracting py27-docutils
--->  Configuring py27-docutils
--->  Building py27-docutils
--->  Staging py27-docutils into destroot
--->  Installing py27-docutils @0.12_0
--->  Activating py27-docutils @0.12_0
--->  Cleaning py27-docutils
--->  Fetching archive for mpv
--->  Attempting to fetch mpv-0.8.3_2+audiocd+bundle+dvd+mp3+network+opengl+osd+python27.darwin_14.x86_64.tbz2 from http://packages.macports.org/mpv
--->  Attempting to fetch mpv-0.8.3_2+audiocd+bundle+dvd+mp3+network+opengl+osd+python27.darwin_14.x86_64.tbz2 from http://mse.uk.packages.macports.org/sites/packages.macports.org/mpv
--->  Attempting to fetch mpv-0.8.3_2+audiocd+bundle+dvd+mp3+network+opengl+osd+python27.darwin_14.x86_64.tbz2 from http://nue.de.packages.macports.org/macports/packages/mpv
--->  Fetching distfiles for mpv
--->  Attempting to fetch mpv-0.8.3.tar.gz from https://github.com/mpv-player/mpv/tarball/v0.8.3
--->  Attempting to fetch waf-1.8.4 from http://ykf.ca.distfiles.macports.org/MacPorts/mpdistfiles/mpv
--->  Attempting to fetch waf-1.8.4 from http://distfiles.macports.org/mpv
--->  Verifying checksums for mpv
--->  Extracting mpv
--->  Configuring mpv
--->  Building mpv
--->  Staging mpv into destroot
--->  Installing mpv @0.8.3_2+audiocd+bundle+dvd+mp3+network+opengl+osd+python27
--->  Activating mpv @0.8.3_2+audiocd+bundle+dvd+mp3+network+opengl+osd+python27

The maintainer ships his personal config file in
* /opt/local/share/examples/mpv/config-maintainer.

You are strongly encouraged to copy this file to either
* /opt/local/etc/mpv/mpv.conf (globally for all users of the system) or
* ~/.mpv/config (only for your current user)
and adjust it to your needs.
                    
This config file already defines the necessary video output settings to make
use of the hardware acceleration features provided by your operating system.
        

--->  Cleaning mpv
--->  Updating database of binaries
--->  Scanning binaries for linking errors               
--->  Found 3 broken file(s), matching files to ports    
Warning: No port eggdbus found in the index; can't rebuild
--->  Broken files found, but all associated ports are not in the index and so cannot be rebuilt.
Last edited 6 years ago by ryandesign (Ryan Schmidt) (previous) (diff)

comment:4 Changed 6 years ago by ryandesign (Ryan Schmidt)

Cc: ryandesign@… added
Resolution: invalid
Status: newclosed

Please remember to use WikiFormatting when writing in Trac and to preview your posts before submitting.

The only problem the above output shows is that you have the eggdbus port installed, but this port no longer exists (it was deleted in r108419 almost 2 years ago). You can uninstall this port.

Note: See TracTickets for help on using tickets.